Project

General

Profile

Actions

Bug #6546

closed

rudder-reports package should use the correct PostgreSQL service

Added by Matthieu CERDA almost 6 years ago. Updated almost 6 years ago.

Status:
Released
Priority:
1
Category:
System integration
Target version:
Severity:
User visibility:
Effort required:
Priority:

Description

We currently assume (naively ?) that the right PostgreSQL service to run is "postgresql".

We should certainly be more intelligent and try to guess the right one :)


Related issues

Related to Rudder - Bug #6699: Rudder-reports does not find correct postgresql service when using systemctlReleasedBenoît PECCATTE2015-06-26Actions
Related to Rudder - Bug #6403: Postgresql misconfigured when not the default distrib package (ex: Centos 6 with Postgresql 9.3 from pgfoundry.org)ReleasedNicolas CHARLESActions
Actions #1

Updated by Matthieu CERDA almost 6 years ago

  • Target version changed from 2.10.14 to 2.11.11
Actions #2

Updated by Matthieu CERDA almost 6 years ago

Targetting 2.11 as this happens especially on distributed setups.

Actions #3

Updated by Matthieu CERDA almost 6 years ago

  • Status changed from In progress to Pending technical review
  • Assignee changed from Matthieu CERDA to Benoît PECCATTE
  • % Done changed from 0 to 100
  • Pull Request set to https://github.com/Normation/rudder-packages/pull/647
Actions #4

Updated by Matthieu CERDA almost 6 years ago

  • Status changed from Pending technical review to Pending release
Actions #6

Updated by Vincent MEMBRÉ almost 6 years ago

  • Subject changed from The rudder-reports package should be able to use the right PostgreSQL service to rudder-reports package should use the correct PostgreSQL service
Actions #7

Updated by Vincent MEMBRÉ almost 6 years ago

  • Related to Bug #6699: Rudder-reports does not find correct postgresql service when using systemctl added
Actions #8

Updated by Vincent MEMBRÉ almost 6 years ago

  • Status changed from Pending release to Released

This bug has been fixed in Rudder 2.11.11 and 3.0.5 which were released today.

Actions #9

Updated by Nicolas CHARLES about 2 years ago

  • Related to Bug #6403: Postgresql misconfigured when not the default distrib package (ex: Centos 6 with Postgresql 9.3 from pgfoundry.org) added
Actions

Also available in: Atom PDF